/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// 该脚本由模板创建
/// created by cb 2024

using XGame.Framework.UI;

namespace FL.FGUI
{
    public static partial class UIKeys
    {
        private static UIKey _PlayerMainPanel;
        public static UIKey PlayerMainPanel => _PlayerMainPanel ?? (_PlayerMainPanel = new UIKey("Player", "MainPanel", typeof(PlayerMainPanelView)));
    }
    public partial class PlayerMainPanelView : UIView
    {

        protected override void AddController(IUIControllerGroup group)
        {
            group.Add(new PlayerMainPanelCtrl());
        }

        protected override IUIViewModel CreateViewModel()
        {
            return new PlayerMainPanelVM();
        }

        protected override void OnDispose()
        {
        }
    }
}

